%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           leveldb
Version:        1.19
Release:        %mkrel 1
Summary:        A fast and lightweight key/value database library by Google
Group:          Databases
License:        BSD
URL:            http://code.google.com/p/leveldb/
Source0:        https://github.com/google/leveldb/archive/v%{version}/%{name}-%{version}.tar.gz
# Sent upstream - https://github.com/google/leveldb/issues/107
Patch1:         leveldb-0001-Initial-commit-of-the-autotools-stuff.patch
# Temporary workaround for secondary arches
Patch2:         leveldb-1.16.0-oma-Add-memory-barrier-on-PowerPC.patch
# https://groups.google.com/d/topic/leveldb/SbVPvl4j4vU/discussion
Patch3:         leveldb-0003-bloom_test-failure-on-big-endian-archs.patch
# available in https://github.com/fusesource/leveldbjni/blob/leveldbjni-[LEVELDBJNI VERSION]/leveldb.patch
Patch4:         leveldb-0004-Allow-leveldbjni-build.patch
# https://github.com/fusesource/leveldbjni/issues/34
# https://github.com/google/leveldb/issues/190
# Add DB::SuspendCompactions() and DB::ResumeCompactions() methods
Patch5:         leveldb-0005-Added-a-DB-SuspendCompations-and-DB-ResumeCompaction.patch
# Cherry-picked from Basho's fork
Patch6:         leveldb-0006-allow-Get-calls-to-avoid-copies-into-std-string.patch

BuildRequires:  snappy-devel
BuildRequires:  libtool

%description
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for LevelDB
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       leveldb-devel = %{version}-%{release}

%description -n %{devname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

This package contains additional header files for development with LevelDB.

%files -n       %{devname}
%doc doc/ AUTHORS LICENSE README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -ivf
%configure2_5x --disable-static --with-pic
%make_build LIBS="-lstdc++ -lm"

%install
%make_install

find %{buildroot} -name \*.la -delete -print

%check
make check


%changelog
* Sun Jan 01 2017 akien <akien> 1.19-1.mga6
+ Revision: 1079180
- Version 1.19

* Sat Apr 16 2016 tv <tv> 1.18-4.mga6
+ Revision: 1002879
- provides leveldb-devel

* Thu Feb 11 2016 umeabot <umeabot> 1.18-3.mga6
+ Revision: 955249
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.18-2.mga6
+ Revision: 870791
- rebuild with gcc 5

* Tue Jun 23 2015 akien <akien> 1.18-1.mga6
+ Revision: 840369
- Version 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-3.mga5
+ Revision: 741802
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-2.mga5
+ Revision: 681303
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 1.17.0-1.mga5
+ Revision: 673599
- Version 1.17.0

* Mon Apr 28 2014 akien <akien> 1.16.0-2.mga5
+ Revision: 618779
- Update pkgconfig version

* Mon Apr 28 2014 akien <akien> 1.16.0-1.mga5
+ Revision: 618768
- Update to version 1.16.0
- Mageia-ify, customise and clean the spec file
- import source RPM from OpenMandriva

